/*
 * GTCP_UART.h
 */

#ifndef GTCP_UART_H_
#define GTCP_UART_H_

#ifdef __MSP430F5529__
#include <msp430f5529.h>
#elif defined __MSP430FR6989__
#include <msp430fr6989.h>
#endif
#include <stdint.h>
#include <stddef.h>
#include "Interface.h"

void initUART();
void resetUSCIStateMachine_UART();
void initUSCIStateMachine_UART();
void configureUART();
void configureUARTGPIO();
void setHBUSY();
void clearHBUSY();
void waitMBUSYClear();
void waitTXBUFClear();
void waitRXBUFByte();
void writeUART(uint8_t data);
void writeStringUART(unsigned char* data);
void writeArrayUART(unsigned char* data, int size);
uint8_t readUART();
void readUARTMultiple(int length);

#endif /* GTCP_UART_H_ */
